/// <reference types="cypress" />
describe('ClaimPhoto', () => {
    beforeEach(() => {
        const claimId = 1;
        cy.login('developer');
        cy.visit(`/#/claim/${claimId}/photos`);
    });

    it('should add new file', () => {
        cy.get('label > .q-btn').click();
        cy.get('label > .q-btn input').selectFile('test/cypress/fixtures/image.jpg', {
            force: true,
        });
        cy.get('.q-notification__message').should('have.text', 'Data saved');
    });

    it('should add new file with drag and drop', () => {
        cy.get('.container').selectFile('test/cypress/fixtures/image.jpg', {
            action: 'drag-drop',
        });
        cy.get('.q-notification__message').should('have.text', 'Data saved');
    });

    it('should open first image dialog change to second and close', () => {
        cy.get(
            ':nth-child(1) > .q-card > .q-img > .q-img__container > .q-img__image'
        ).click();
        cy.get('.q-carousel__slide > .q-img > .q-img__container > .q-img__image').should(
            'be.visible'
        );

        cy.get('.q-carousel__control > .q-btn > .q-btn__content > .q-icon').click();

        cy.get(
            '.q-dialog__inner > .q-toolbar > .q-btn > .q-btn__content > .q-icon'
        ).click();
        cy.get('.q-carousel__slide > .q-img > .q-img__container > .q-img__image').should(
            'not.be.visible'
        );
    });

    it('should remove third and fourth file', () => {
        cy.get(
            '.multimediaParent > :nth-child(3) > .q-btn > .q-btn__content > .q-icon'
        ).click();
        cy.get('.q-btn--unelevated > .q-btn__content > .block').click();
        cy.get('.q-notification__message').should('have.text', 'Data deleted');

        cy.get(
            '.multimediaParent > :nth-child(3) > .q-btn > .q-btn__content > .q-icon'
        ).click();
        cy.get('.q-btn--unelevated > .q-btn__content > .block').click();
        cy.get('.q-notification__message').should('have.text', 'Data deleted');
    });
});
